
<!--<form [formGroup]="editForm" #formDirective="ngForm" autocomplete="off" class="p-3">-->
<!--    <div class="form-group row">-->
<!--        <div class="col-xl-12">-->
<!--            <span *ngIf="!readOnly">Patient *</span>-->
<!--            <kendo-dropdownlist *ngIf="!readOnly"-->
<!--                formControlName="patientId"-->
<!--                class="full-width"-->
<!--                [data]="patientsData"-->
<!--                [textField]="'preferredName'"-->
<!--                [valueField]="'id'"-->
<!--                [filterable]="true"-->
<!--                (filterChange)="handleFilter($event)"-->
<!--                [defaultItem]="defaultItem"-->
<!--                [itemDisabled]="itemDisabled"-->
<!--                [valuePrimitive]="true">-->

<!--                <ng-template kendoDropDownListValueTemplate let-dataItem>-->
<!--                    <div *ngIf="dataItem">-->
<!--                        {{ dataItem.preferredName }}-->
<!--                    </div>-->
<!--                </ng-template>-->

<!--                <ng-template kendoDropDownListItemTemplate  let-dataItem>-->
<!--                    &lt;!&ndash; {{ dataItem | json }} &ndash;&gt;-->
<!--                    <div class="ddl-border ddl-item" *ngIf="dataItem && dataItem.id">-->
<!--                        <div class="row p-2">-->
<!--                            <div class="col-xl-12">-->
<!--                                <div class="d-flex bold align-items-center justify-content-between">-->
<!--                                    <div>-->
<!--                                        {{ dataItem.preferredName }} ({{ dataItem.gender | slice:0:1 }})-->
<!--                                    </div>-->
<!--                                    <div>-->
<!--                                        ID: {{ dataItem.patientId }}-->
<!--                                    </div>-->
<!--                                </div>                        -->
<!--                            </div>-->
<!--                            <div class="col-xl-12 mt-2 mb-1 d-flex align-items-center">               -->
<!--                              <mat-icon class="dark-blue-icon">stay_primary_portrait</mat-icon>-->
<!--                              {{ dataItem.mobile }}-->
<!--                              <mat-icon class="ml-3 dark-blue-icon">local_phone</mat-icon>-->
<!--                              {{ dataItem.homePhone }}-->
<!--                            </div>-->
<!--          -->
<!--                            <div class="col-xl-12 d-flex align-items-center">-->
<!--                              <mat-icon class="dark-blue-icon">cake</mat-icon>-->
<!--                              {{ dataItem.dob | date}}-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                  </ng-template>-->

<!--                  <ng-template kendoDropDownListFooterTemplate>-->
<!--                      <div class="text-right mt-3 mb-3">-->
<!--                        <a [routerLink]="['/patients/add']" class="mr-3">Add new patients</a>-->
<!--                      </div>-->
<!--                </ng-template>-->
<!--            </kendo-dropdownlist>-->

<!--            <div *ngIf="readOnly">-->
<!--                <div class="row" *ngIf="selectedPatient">-->
<!--                    <div class="col-xl-10">-->
<!--                        <div class="d-flex">-->
<!--                            <h5 class="bold">Patient</h5>-->
<!--                        </div>-->
<!--                        <div class="d-flex align-items-center">-->
<!--                            {{ selectedPatient.preferredName }} ({{ selectedPatient.gender | slice:0:1  }})-->
<!--                            <div class="d-flex ml-3">-->
<!--                                <mat-icon class="dark-blue-icon default-icon" *ngIf="editForm.get('isHighPriority').value === true">star_rate</mat-icon>-->
<!--                                <mat-icon class="yellow-icon default-icon" *ngIf="editForm.get('notes').value != '' && editForm.get('notes').value && editForm.get('notes').value != null">chat_bubble</mat-icon>-->
<!--                            </div>-->
<!--                          </div>-->
<!--                          <div class="d-flex align-items-center mt-3">-->
<!--                              <mat-icon class="purple-icon">cake</mat-icon>-->
<!--                              <span>{{ selectedPatient.dob | date}}</span>-->
<!--                          </div>-->
<!--                          <div class="mt-3 d-flex align-items-center">               -->
<!--                              <mat-icon>phone</mat-icon>-->
<!--                              {{ selectedPatient.homePhone }}-->
<!--                            </div>-->
<!--                          <div class="mt-3 d-flex align-items-center">               -->
<!--                            <mat-icon>stay_primary_portrait</mat-icon>-->
<!--                            {{ selectedPatient.mobile }}-->
<!--                          </div>-->
<!--                          <div class="mt-3 mb-3 d-flex align-items-center">                        -->
<!--                              <a href="mailto:{{ selectedPatient.email }}" class="icon-margin">{{ selectedPatient.email }}</a>-->
<!--                          </div>-->
<!--                    </div>-->
<!--                    <div class="col-xl-2 d-flex align-items-center view-bg">-->
<!--                        <a [routerLink]="['/patients/edit', selectedPatient.id]">View</a>-->
<!--                        <mat-icon>keyboard_arrow_right</mat-icon>-->
<!--                    </div>                    -->
<!--                  </div>-->
<!--            </div>           -->
<!--            <mat-divider class="mb-3" *ngIf="readOnly"></mat-divider>-->
<!--        </div>        -->

<!--        <div class="col-xl-12">-->
<!--            <mat-form-field [appearance]="apperance" class="full-width" *ngIf="!readOnly">-->
<!--                <mat-label>Practitioner</mat-label>-->
<!--                <mat-select formControlName="practitionerId" required>-->
<!--                    <mat-select-trigger>-->
<!--                        <div *ngIf="selectedPractitioner" class="d-flex align-items-center">-->
<!--                            <kendo-avatar *ngIf="!selectedPractitioner.photo" [shape]="'circle'" [initials]="selectedPractitioner.initial"></kendo-avatar>-->
<!--                            <kendo-avatar *ngIf="selectedPractitioner.photo" [shape]="'circle'" [imageSrc]="selectedPractitioner.photo"></kendo-avatar>-->
<!--                            <span class="pl-1">{{ selectedPractitioner.practitionerName }}</span>-->
<!--                        </div>-->
<!--                      </mat-select-trigger>-->
<!--                    <mat-option *ngFor="let p of Practitioners" [value]="p.practitionerId">-->
<!--                        <div class="d-flex align-items-center">-->
<!--                            <kendo-avatar *ngIf="!p.photo" [shape]="'circle'" [initials]="p.initial"></kendo-avatar>-->
<!--                            <kendo-avatar *ngIf="p.photo" [shape]="'circle'" [imageSrc]="p.photo"></kendo-avatar>-->
<!--                            <span class="pl-1">{{ p.practitionerName }}</span>-->
<!--                        </div>-->
<!--                    </mat-option>-->
<!--                </mat-select>-->
<!--                <mat-error *ngIf="editForm.get('practitionerId').hasError('required')">-->
<!--                    Practitioner is required.-->
<!--                </mat-error>-->
<!--            </mat-form-field>-->
<!--        </div>-->

<!--        <div class="col-xl-12">-->
<!--            <mat-form-field [appearance]="apperance" class="full-width" *ngIf="!readOnly">-->
<!--              <mat-label>Service</mat-label>-->
<!--              <mat-select formControlName="serviceId">-->
<!--                <mat-option *ngFor="let s of services" [value]="s.id">-->
<!--                  {{ s.serviceName }}-->
<!--                </mat-option>-->
<!--              </mat-select>-->
<!--            </mat-form-field>-->
<!--        </div>-->

<!--        <div class="col-xl-12 mb-3">-->
<!--            <h5 class="bold">-->
<!--                Availablity-->
<!--            </h5>-->
<!--        </div>-->
<!--        <div class="col-xl-12" *ngIf="readOnly">-->
<!--            <div class="mb-3">-->
<!--                {{ editForm.get('availableFrom').value | kendoDate:'t' }} to {{ editForm.get('availableUntil').value | kendoDate:'t' }}-->
<!--            </div>-->
<!--        </div>-->
<!--        <div class="col-xl-12" *ngIf="readOnly">-->
<!--            <div class="d-flex align-items-center mb-3">-->
<!--                <div class="circle" *ngFor="let d of weeks; index as $index" [ngClass]="{ 'selected': d.selected, 'ml-2' : $index > 0 }">-->
<!--                    {{ d.title }}-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->
<!--        <div class="col-xl-12 mb-3">-->
<!--            <div class="text-left" *ngIf="!readOnly">-->
<!--                <span>First Available Date *</span>-->
<!--            </div>            -->
<!--            <kendo-datepicker class="full-width" formControlName="firstAvailableDate" [format]="'dd/MM/yyyy'" *ngIf="!readOnly">-->
<!--            </kendo-datepicker>-->

<!--            <div *ngIf="readOnly" class="mt-3">-->
<!--                Will be available until {{ editForm.get('keepInWaitListUntil').value | kendoDate: 'd' }}-->
<!--            </div>-->
<!--            <mat-divider class="mt-3 mb-3" *ngIf="readOnly"></mat-divider>-->
<!--        </div>-->
<!--        <div class="col-xl-6 mb-3" *ngIf="!readOnly">-->
<!--            <div class="text-left">-->
<!--                <span>Available From *</span>-->
<!--            </div>-->

<!--            &lt;!&ndash; <kendo-datepicker formControlName="availableFrom" [hidden]="true">-->
<!--            </kendo-datepicker> &ndash;&gt;-->
<!--            <kendo-timepicker class="full-width" formControlName="availableFrom" [steps]="steps" [min]="min" [max]="max">-->
<!--            </kendo-timepicker>     -->

<!--            &lt;!&ndash; <p>-->
<!--                {{ editForm.controls.availableFrom.value }}-->
<!--            </p>-->
<!--            <p>-->
<!--                Errors: {{ editForm.controls.availableFrom.errors | json }}-->
<!--            </p> &ndash;&gt;-->
<!--        </div>-->
<!--        <div class="col-xl-6 mb-3" *ngIf="!readOnly">-->
<!--            <div class="text-left">-->
<!--                <span>Available Until *</span>-->
<!--            </div>-->
<!--            -->
<!--            &lt;!&ndash; <kendo-datepicker formControlName="availableUntil" [hidden]="true">-->
<!--            </kendo-datepicker> &ndash;&gt;-->
<!--            <kendo-timepicker class="full-width" formControlName="availableUntil" [steps]="steps" [min]="min" [max]="max">-->
<!--            </kendo-timepicker>       -->
<!--            &lt;!&ndash; <p>-->
<!--                {{ editForm.controls.availableUntil.value }}-->
<!--            </p>-->
<!--            <p>-->
<!--                Errors: {{ editForm.controls.availableUntil.errors | json }}-->
<!--            </p> &ndash;&gt;-->
<!--        </div>-->

<!--        <div class="col-xl-12 mb-3" *ngIf="!readOnly">-->
<!--            <b>-->
<!--                Available Days *-->
<!--            </b>-->
<!--        </div>        -->
<!--        <div class="col-xl-12" *ngIf="!readOnly">-->
<!--            <div class="d-flex align-items-center mb-3">-->
<!--                <div class="circle" *ngFor="let d of weeks; index as $index" (click)="onWeekdayClick(d)" [ngClass]="{ 'selected': d.selected, 'ml-2' : $index > 0 }">-->
<!--                    {{ d.title }}-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->

<!--        <div class="col-xl-12 mb-3" *ngIf="!readOnly">-->
<!--            <div class="text-left">-->
<!--                <span>Keep In Wait List until *</span>-->
<!--            </div>            -->
<!--            <kendo-datepicker class="full-width" formControlName="keepInWaitListUntil" [format]="'dd/MM/yyyy'">-->
<!--            </kendo-datepicker>-->
<!--        </div>-->
<!--        <div class="col-xl-12">-->
<!--            <div class="d-flex justify-content-between justify-content-center" *ngIf="!readOnly">-->
<!--                <span>HIGH Priority</span>-->
<!--                <kendo-switch formControlName="isHighPriority" [onLabel]="'Yes'" [offLabel]="'No'"></kendo-switch>-->
<!--            </div>-->
<!--            <div *ngIf="readOnly">-->
<!--                <h5 class="bold">-->
<!--                    Requested Treatment-->
<!--                </h5>-->
<!--                <p>-->
<!--                    {{ selectedService ? selectedService.serviceName : '' }}-->
<!--                </p>-->
<!--                <p>{{ editForm.get('isHighPriority').value === true ? 'High Priority' : '' }}</p>-->
<!--                <mat-divider class="mt-3 mb-3" *ngIf="readOnly"></mat-divider>-->
<!--            </div>-->
<!--        </div>-->
<!--        <div class="col-xl-12">-->
<!--            <div class="mt-3 mb-3">-->
<!--                <mat-form-field [appearance]="apperance" class="full-width" *ngIf="!readOnly">-->
<!--                    <mat-label>Notes</mat-label>-->
<!--                    <textarea matInput placeholder="Notes" formControlName="notes" rows="4"></textarea>-->
<!--                </mat-form-field>-->
<!--            </div>-->
<!--            <div *ngIf="readOnly">-->
<!--                <h5 class="bold">Notes</h5>-->
<!--                <p>-->
<!--                    {{ editForm.get("notes").value }}-->
<!--                </p>-->
<!--            </div>-->
<!--            <mat-divider class="mt-3 mb-3" *ngIf="readOnly"></mat-divider>-->
<!--        </div>-->
<!--        <mat-divider></mat-divider>-->
<!--        <div class="col-xl-12">-->
<!--            <div class="pt-3">-->
<!--                <button mat-raised-button color="accent" [disabled]="editForm.invalid" (click)="onSave($event)" [hidden]="readOnly">Save</button>-->
<!--                <button mat-stroked-button color="accent" class="ml-1" (click)="onCancel($event)">Cancel</button>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</form>-->
